spec:
  inputs:
    stage:
      default: scan-image
    image:
      default: clamav/clamav:latest
    docker-image-tar:
      default: "${ARTIFACT_FOLDER}/image-as-tar"

---
clamav:
  stage: $[[ inputs.stage ]]
  allow_failure: false
  # variables:
  #   GIT_STRATEGY: none
  #   CONTAINER_SCAN_REPORT: ${ARTIFACT_FOLDER}/clamav/clamav-report.json
  #   FORMATTED_REPORT: ${ARTIFACT_FOLDER}/clamav/report.txt
  artifacts:
    when: always
    paths:
      - "${ARTIFACT_FOLDER}/clamav/"
  before_script:
    - mkdir -p ${ARTIFACT_FOLDER}/clamav/
  image:
    name: $[[ inputs.image ]]
  script:
    # Run freshclam if we can but if it's not successful that's okay
    - freshclam || true
    - clamscan -irv --scan-archive=yes --stdout $[[ inputs.docker-image-tar ]] | tee ${ARTIFACT_FOLDER}/clamav/clamav-report.json
